### Virtual Method

# PapersDocument DocumentSignatures sign

#### Declaration [src]

    void
    sign (
      PpsDocumentSignatures* document_signatures,
      PpsSignature* signature,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`signature`

  Type: `PpsSignature`

  No description available.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.